import { ApiProperty } from '@nestjs/swagger'
import { IsEmail, IsNotEmpty } from 'class-validator'

export enum EmailScene {
  register = 'register',
  forgetPassword = 'forgetPassword',
  changeEmail = 'changeEmail',
  deleteUser = 'deleteUser',
}

export class EmailSendDto {
  @IsNotEmpty()
  @IsEmail()
  email: string

  @IsNotEmpty()
  @ApiProperty({ enum: EmailScene, enumName: 'EmailScene' })
  scene: EmailScene
}
